## peg-solitaire 2.2

=== CMakeLists.txt ===
SET(CMAKE_INSTALL_PREFIX /$(CURDIR)/usr)
 # set project's name
  PROJECT( peg-solitaire )
 
  cmake_minimum_required(VERSION 2.8)
  
  # with SET() command you can change variables or define new ones
  # here we define SAMPLE_SRCS variable that contains a list of all .cpp files
  # note that we don't need \ at the end of line
  SET( peg-solitaire_SRCS
	./scr/main.cpp
       	./scr/funcions.cpp 
	./scr/rellotge.cpp 
	./scr/frmprincipal.cpp
	./scr/fitxa.cpp
	./scr/moviment.cpp
	./scr/tauler.cpp
  )
  
  # another list, this time it includes all header files that should be treated with moc
  SET( peg-solitaire_MOC_HDRS 
       	./scr/funcions.h
	./scr/rellotge.h 
	./scr/frmprincipal.h
	./scr/fitxa.h
	./scr/moviment.h
	./scr/tauler.h    
  )
  
  # some .ui files
  #SET( peg-solitaire_UIS
  #     ./scr/frmDesaFigura.ui
  #)
  
  # and finally an resource file
 # SET( peg-solitaire_RCS
 #     resources.qrc
 # )
  
  # enable warnings
  ADD_DEFINITIONS( -Wall )
  
  # by default only QtCore and QtGui modules are enabled
  # other modules must be enabled like this:
  #SET( QT_USE_QT3SUPPORT TRUE )   
  SET( QT_USE_QTXML TRUE )
  set(QT_USE_QTNETWORK true) 
  #set(QT_USE_TESTLIB true)
  set(QT_USE_QTSVG true)
  set(QT_USE_QTDBUS true)
  
  # this command finds Qt5 libraries and sets all required variables
  # note that it's Qt5, not QT5 or qt5
  find_package(Qt5Widgets)
  #find_package(Qt5Declarative)

  # The Qt5Widgets_INCLUDES also includes the include directories for
  # dependencies QtCore and QtGui
  include_directories(${Qt5Widgets_INCLUDES})

  # We need add -DQT_WIDGETS_LIB when using QtWidgets in Qt 5.
  add_definitions(${Qt5Widgets_DEFINITIONS})
  
  # add some useful macros and variables
  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
  #INCLUDE( ${QT_USE_FILE} )
  
  # this command will generate rules that will run rcc on all files from peg-solitaire_RCS
  # in result peg-solitaire_RC_SRCS variable will contain paths to files produced by rcc
  #QT4_ADD_RESOURCES( peg-solitaire_RC_SRCS ${peg-solitaire_RCS} )
  
  # this will run uic on .ui files:
  #QT5_WRAP_UI( peg-solitaire_UI_HDRS ${peg-solitaire_UIS} )
  
  # and finally this will run moc:
  QT5_WRAP_CPP( peg-solitaire_MOC_SRCS ${peg-solitaire_MOC_HDRS} )
  
  # we need this to be able to include headers produced by uic in our code
  # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
  INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
  
  # binaries are placed in the root directory as the source code
  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${peg-solitaire_SOURCE_DIR})
  # here we instruct CMake to build "peg-solitaire" executable from all of the source files
  ADD_EXECUTABLE( peg-solitaire ${peg-solitaire_SRCS} ${peg-solitaire_MOC_SRCS} )
  
  # last thing we have to do is to tell CMake what libraries our executable needs,
  # luckily FIND_PACKAGE prepared QT_LIBRARIES variable for us:
  #TARGET_LINK_LIBRARIES( peg-solitaire ${QT_LIBRARIES} 
  #			${QT_QTMAIN_LIBRARY}
  #			${QT_QTTEST_LIBRARY})

  target_link_libraries(peg-solitaire ${Qt5Widgets_LIBRARIES})

  # install executable and translation files
install_targets(/games peg-solitaire)
 # INSTALL( TARGETS ${PROGNAME} DESTINATION bin )
  install(DIRECTORY games/ DESTINATION share/games/peg-solitaire/games)
  install(DIRECTORY locales/ DESTINATION share/games/peg-solitaire/locales)
  install(DIRECTORY images/ DESTINATION share/games/peg-solitaire/images)
  install(DIRECTORY help/ DESTINATION share/games/peg-solitaire/help)
  install(FILES menu/peg-solitaire.6.gz DESTINATION share/man/man6)
  install(FILES menu/peg-solitaire.desktop DESTINATION share/applications)
  install(FILES menu/peg-solitaire.appdata.xml DESTINATION share/appdata)
  install(FILES images/peg-solitaire.xpm DESTINATION share/pixmaps)

 #uninstall
CONFIGURE_FILE( "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" )

## peg-solitaire 1.1.1

=== debian/changelog ===
peg-solitaire (1.1.1-1) unstable; urgency=low

  * New upstream version:
    - Delete glpeces.desktop file from sources.
    - Added peg-solitaire.desktop file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 25 Mar 2011 17:48:25 +0200

peg-solitaire (1.1-1) unstable; urgency=low

  * New upstream version:
    - Added new button to pause the game.
    - Improved search system solution.
  * Changed the debian/watch file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 21 Mar 2011 17:04:14 +0200

peg-solitaire (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #599727)

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 18 Jan 2011 18:06:54 +0200

=== debian/control ===
Source: peg-solitaire
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/peg-solitaire/

Package: peg-solitaire
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board game for one player with pegs
 Peg solitaire is a board game for one player involving movement of pegs
 on a board with holes. The program includes over 100 solitaire problems.
 The program looks for new solutions and it is possible to raise new
 problems.

## peg-solitaire 1.1.2

=== debian/changelog ===
peg-solitaire (1.1.2-1) unstable; urgency=low

  * Remove the debian/patches directory and files
    (Closes: #643241).
  * Change the menu/peg-solitaire.desktop file.
  * Update Standard-Version to 3.9.2:
    no changes required.
  * Repacking orig file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Wed, 28 Sep 2011 17:58:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/peg-solitaire/
 
 Package: peg-solitaire

## peg-solitaire 1.2

=== debian/changelog ===
peg-solitaire (1.2-1) unstable; urgency=low

  [ Innocent De Marchi ]
  * New upstream release.
    - Add 24 new problems to solve.
    - Add en_US locale (LP: #873958).
  * Updated debian/control description field.
  * Update Standards-Version to 3.9.3
    (no changes required).
  * Update debian/copyright file to v. 1.0 format.
  * Update year in debian/copyright file.

  [ Rudy Godoy ]
  * Added myself to Uploaders in order to sponsor the package.

 -- Rudy Godoy <rudy@stone-head.org>  Sat, 19 May 2012 02:28:07 -0500

=== debian/control ===
Source: peg-solitaire
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Uploaders: Rudy Godoy <rudy@stone-head.org>
Build-Depends: debhelper (>= 7.0.50~), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/peg-solitaire/

Package: peg-solitaire
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board game for one player with pegs
 Peg solitaire is a board game for one player involving movement of pegs
 on a board with holes. The program includes over 160 solitaire problems.
 The program looks for new solutions and it is possible to raise new
 problems.

## peg-solitaire 2.0

=== debian/changelog ===
peg-solitaire (2.0-2) unstable; urgency=low

  * updated my DEBEMAIL in the control file
  * rebuilt the package

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Feb 2013 22:58:37 +0100

peg-solitaire (2.0-1) unstable; urgency=low

  * New upstream release.
     - 168 new problems to solve.
     (some with default finish).
     - New Brazilian and Polish translations.
       (Thanks to Ezequiel Butzke and Jarosław Jabłoński).
     - Can create new own games.
     - Random generation of new games.
  * Update to Standards-Version 3.9.4
    (not special changes required).
  * Add the hardering flags to debian/rules.
    - Add dpkg-dev build-depends in debian/control.
    - Up compat levet to 9.
    - Change build-depens dephelper to 9 in debian/control.
  * Update year in copyright file.
  * Update description field in debian/control.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 18 Feb 2013 17:51:24 +0200

=== debian/control ===
Source: peg-solitaire
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3), dpkg-dev (>= 1.16.9)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/peg-solitaire/

Package: peg-solitaire
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board game for one player with pegs
 Peg solitaire is a board game for one player involving movement of pegs
 on a board with holes. The program includes over 330 solitaire problems.
 The program looks for new solutions and it is possible to raise new
 problems and games.

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/peg-solitaire/peg-solitaire-(.*)\.tar\.gz debian uupdate

## peg-solitaire 2.1

=== debian/changelog ===
peg-solitaire (2.1-1) unstable; urgency=low

  * New upstream release.
  * Migrated to Qt 5:
    + Changes build-depends consecuentely in debian/control.
  * Add cmake build system:
    + Changes build-depends to cmake in debian/control.
  * Update to Standards-Version 3.9.8
    (not special changes required).
  * Update year in debian/copyright file.
  * Remove debian/peg-solitaire.menu file by the tech-ctte decision on #741573.
  * Add upstream signing key to debian/upstream/signing-key.asc.
    + Add pgpsigurlmangle option in debian/watch file.
  * Add Vcs-Browser and Vcs-Git fields in debian/control file.
  * Removed Uploaders field from debian/control file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 01 Oct 2016 18:43:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
include /usr/share/dpkg/buildflags.mk


%:
	dh $@

## peg-solitaire 2.2

=== debian/changelog ===
peg-solitaire (2.2-3) unstable; urgency=low

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 1.0.2-1.

  [ Georges Khaznadar ]
  * adopted the package, Closes: #922885
  * bumped debhelper to 13, Standards-Version to 4.5.1
  * added a rule to clean peg-solitaire
  * added a line for lintian-overrides (GPL-3.0+ is fine in appdata.xml)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Jan 2022 14:59:25 +0100

peg-solitaire (2.2-2) unstable; urgency=low

  * Bumped Standards version to 4.2.0.0
    (no changes required).
  * Bumped compat level and dh-helper to 11.
  * Migrated repository to salsa.debian.org..
  * Secure URI for homepage on d/control and on d/copyright.
  * Add patch to change appstream-metadata installation.
  * Updated years on d/copyright.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Tue, 07 Aug 2018 19:02:21 +0100

peg-solitaire (2.2-1) unstable; urgency=low

  * New upstream release.
  * Added the suggestions of Andrej Mernik
    (Closes: #858110). Thanks Andrej!
  * Update years in debian/copyright file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Tue, 13 Jun 2017 18:02:56 +0200

=== debian/control ===
Source: peg-solitaire
Section: games
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.Org>
Build-Depends: debhelper-compat (= 13), cmake , qtbase5-dev (>= 5.5.1), dpkg-dev (>= 1.16.9)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/peg-solitaire
Vcs-Git: https://salsa.debian.org/debian/peg-solitaire.git
Homepage: https://sourceforge.net/projects/peg-solitaire/

Package: peg-solitaire
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board game for one player with pegs
 Peg solitaire is a board game for one player involving movement of pegs
 on a board with holes. The program includes over 330 solitaire problems.
 The program looks for new solutions and it is possible to raise new
 problems and games.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f peg-solitaire

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://sf.net/peg-solitaire/peg-solitaire-(.*)\.tar\.gz debian uupdate
